package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * ${subTable.functionName}对象 m_proposal_file
 * 
 * @author zewei
 * @date 2022-05-31
 */
public class ProposalFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long fileId;

    /** 申请表id */
    @Excel(name = "申请表id")
    private Long proposalId;

    /** 文件后缀/类型 */
    @Excel(name = "文件后缀/类型")
    private String suffix;

    /** 访问路径 */
    @Excel(name = "访问路径")
    private String path;

    /**  */
    @Excel(name = "")
    private Integer status;

    public void setFileId(Long fileId) 
    {
        this.fileId = fileId;
    }

    public Long getFileId() 
    {
        return fileId;
    }
    public void setProposalId(Long proposalId)
    {
        this.proposalId = proposalId;
    }

    public Long getProposalId()
    {
        return proposalId;
    }
    public void setSuffix(String suffix) 
    {
        this.suffix = suffix;
    }

    public String getSuffix() 
    {
        return suffix;
    }
    public void setPath(String path) 
    {
        this.path = path;
    }

    public String getPath() 
    {
        return path;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("fileId", getFileId())
            .append("proposalId", getProposalId())
            .append("suffix", getSuffix())
            .append("path", getPath())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("status", getStatus())
            .toString();
    }
}
